<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


include("../conf/preferences.php");
session_name(SYS_APP_SESSNAME);
session_start();
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/MAIN.php");
include("../conf/connections.php");
require_once("../phplib/utils.php");
require_once("../core/plugins.php");
$url="http://localhost/mercadolocal/crana/admin2/tests/getProjects.php";
$json=json_decode(disguise_curl($url),true);
if($json!==NULL){
	mysql_query("TRUNCATE TABLE ".MER_EXTERNAL_TABLE);
	for($i=0; $i<count($json); $i++){
		$f=$json[$i];
		$sql="INSERT INTO ".MER_EXTERNAL_TABLE." (id, titulo, localizacion, prefijo, orden, estado, version, vecinos, descripcion, locked, created, updated) VALUES({$f['id']}, '{$f['titulo']}', '{$f['localizacion']}', '{$f['prefijo']}', {$f['orden']}, {$f['estado']}, '{$f['version']}', '{$f['vecinos']}', '{$f['descripcion']}', 1, '{$f['created']}', '{$f['updated']}')";
		$q=mysql_query($sql) or print("ERROR EN: $sql <br />");
	}
	echo "El proceso ha finalizado.";
}
?>